For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Get Order

||View as Markdown|
GET
/2026-01/order/:orderId
GET
/2026-01/order/:orderId
$curl https://api.shipbob.com/2026-01/order/orderId \
> -H "Authorization: Bearer <token>"
1{
2 "channel": {
3 "id": 0,
4 "name": "ShipBobs-Shopify-Store"
5 },
6 "created_date": "2019-08-24T14:15:22Z",
7 "financials": {
8 "total_price": 0.1
9 },
10 "gift_message": "string",
11 "id": 0,
12 "order_number": "string",
13 "products": [
14 {
15 "external_line_id": 0,
16 "gtin": "string",
17 "id": 0,
18 "quantity": 0,
19 "quantity_unit_of_measure_code": "string",
20 "reference_id": "TShirtBlueM",
21 "sku": "TShirtBlueM",
22 "unit_price": 0.1,
23 "upc": "string"
24 }
25 ],
26 "purchase_date": "2019-08-24T14:15:22Z",
27 "recipient": {
28 "address": {
29 "address1": "100 Nowhere Blvd",
30 "address2": "Suite 100",
31 "city": "Gotham City",
32 "company_name": "Wayne Enterprises",
33 "country": "US",
34 "state": "NJ",
35 "zip_code": "07093"
36 },
37 "name": "John Doe",
38 "email": "john@example.com",
39 "phone_number": "555-555-5555"
40 },
41 "reference_id": "string",
42 "retailer_program_data": {
43 "addresses": [
44 {
45 "address1": "100 Nowhere Blvd",
46 "city": "Gotham City",
47 "country": "US",
48 "type": "MarkFor",
49 "address2": "Suite 100",
50 "company_name": "Wayne Enterprises",
51 "state": "NJ",
52 "zip_code": "07093"
53 }
54 ],
55 "customer_ticket_number": "string",
56 "delivery_date": "2019-08-24T14:15:22Z",
57 "department": "string",
58 "doNotShipBeforeDate": "2019-08-24T14:15:22Z",
59 "mark_for_store": "string",
60 "purchase_order_number": "string",
61 "retailer_program_type": "string",
62 "shipByDate": "2019-08-24T14:15:22Z"
63 },
64 "shipments": [
65 {
66 "actual_fulfillment_date": "2019-08-24T14:15:22Z",
67 "created_date": "2019-08-24T14:15:22Z",
68 "delivery_date": "2019-08-24T14:15:22Z",
69 "estimated_fulfillment_date": "2019-08-24T14:15:22Z",
70 "estimated_fulfillment_date_status": "AwaitingInventoryAllocation",
71 "gift_message": "string",
72 "id": 0,
73 "insurance_value": 0,
74 "invoice_amount": 0,
75 "invoice_currency_code": "string",
76 "is_tracking_uploaded": true,
77 "last_tracking_update_at": "2019-08-24T14:15:22Z",
78 "last_update_at": "2019-08-24T14:15:22Z",
79 "location": {
80 "id": 0,
81 "name": "Cicero (IL)"
82 },
83 "measurements": {
84 "depth_in": 0,
85 "length_in": 0,
86 "total_weight_oz": 0,
87 "width_in": 0
88 },
89 "order_id": 0,
90 "package_material_type": "Unknown",
91 "parent_cartons": [
92 {
93 "barcode": "string",
94 "cartons": [
95 {
96 "barcode": "string",
97 "carton_details": [
98 {
99 "products": [
100 {
101 "id": 0,
102 "inventory_items": [
103 {
104 "expiration_date": "2019-08-24T14:15:22Z",
105 "id": 0,
106 "is_dangerous_goods": true,
107 "lot": "22222",
108 "name": "Medium Blue T-Shirt",
109 "quantity": 0,
110 "quantity_committed": 0,
111 "serial_numbers": [
112 "string"
113 ]
114 }
115 ],
116 "name": "Medium Blue T-Shirt",
117 "reference_id": "TShirtBlueM",
118 "sku": "TShirtBlueM"
119 }
120 ]
121 }
122 ],
123 "id": 0,
124 "measurements": {
125 "depth_in": 0.1,
126 "length_in": 0.1,
127 "total_weight_oz": 0.1,
128 "width_in": 0.1
129 },
130 "type": "Box or pallet"
131 }
132 ],
133 "measurements": {
134 "depth_in": 0.1,
135 "length_in": 0.1,
136 "total_weight_oz": 0.1,
137 "width_in": 0.1
138 },
139 "type": "Box or pallet"
140 }
141 ],
142 "products": [
143 {
144 "id": 0,
145 "inventory_items": [
146 {
147 "expiration_date": "2019-08-24T14:15:22Z",
148 "id": 0,
149 "is_dangerous_goods": true,
150 "lot": "22222",
151 "name": "Medium Blue T-Shirt",
152 "quantity": 0,
153 "quantity_committed": 0,
154 "serial_numbers": [
155 "string"
156 ]
157 }
158 ],
159 "name": "Medium Blue T-Shirt",
160 "reference_id": "TShirtBlueM",
161 "sku": "TShirtBlueM"
162 }
163 ],
164 "recipient": {
165 "address": {
166 "address1": "100 Nowhere Blvd",
167 "address2": "Suite 100",
168 "city": "Gotham City",
169 "company_name": "Wayne Enterprises",
170 "country": "US",
171 "state": "NJ",
172 "zip_code": "07093"
173 },
174 "email": "john@example.com",
175 "full_name": "John Doe",
176 "name": "John Doe",
177 "phone_number": "555-555-5555"
178 },
179 "reference_id": "string",
180 "require_signature": true,
181 "ship_option": "Standard",
182 "status": "None",
183 "status_details": [
184 {
185 "description": "string",
186 "exception_fulfillment_center_id": 0,
187 "extra_information": {
188 "validation_messages": [
189 "string"
190 ]
191 },
192 "id": 0,
193 "inventory_id": 0,
194 "name": "string"
195 }
196 ],
197 "tracking": {
198 "bol": "string",
199 "carrier": "USPS",
200 "carrier_service": "Priority",
201 "pro_number": "string",
202 "scac": "string",
203 "shipping_date": "2019-08-24T14:15:22Z",
204 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
205 "tracking_url": "https://www.example.com/tracking?id=860C8CDC8F0B4FC7AB69AC86C20539EC"
206 }
207 }
208 ],
209 "shipping_method": "Free 2-day Shipping",
210 "shipping_terms": {
211 "carrier_type": "Parcel",
212 "payment_term": "Collect"
213 },
214 "status": "Processing",
215 "tags": [
216 {
217 "name": "Handling instructions",
218 "value": "Fragile"
219 }
220 ],
221 "type": "DTC"
222}
Retrieves detailed information about a specific order by its order ID, including order status, shipments, products, and recipient details.
Was this page helpful?
Previous

Get Orders

Next

Get Shipment

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

orderIdstringRequiredformat: "int32"

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
channelobject
Created by channel metadata
created_datedatetime
Date this order was created
financialsobject
gift_messagestring or null
Gift message associated with the order
idinteger
Unique id of the order
order_numberstring or null
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
productslist of objects or null
List of products included in the order
purchase_datedatetime or null
Date this order was purchase by the end user
recipientobject
Information about the recipient of an order
reference_idstring or null

Client-defined external unique id of the order

retailer_program_dataobject

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

shipmentslist of objects or null
Shipments affiliated with the order
shipping_methodstring or null

Client-defined shipping method

shipping_termsobject
Contains shipping properties that need to be used for fulfilling an order.
statusenum
tagslist of objects or null

Client-defined order tags

typeenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error